Skip to content
Coritan Docs

Organization API: Org Community Guides

Every Organization API operation tagged Org Community Guides.

View as Markdown

Base URL: https://api.coritan.com/api/v1. Paths below are complete.

To try these requests in the browser, open the interactive Organization API reference.

POST /api/v1/orgs/{org_slug}/admin/community/guides/articles/{article_id}/approve

Warning

Deprecated. It still answers, but new code should not use it.

Name In Type Required
article_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/admin/community/guides/articles/{article_id}/reject

Warning

Deprecated. It still answers, but new code should not use it.

Name In Type Required
article_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
reason string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/admin/community/guides/moderators

Warning

Deprecated. It still answers, but new code should not use it.

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/admin/community/guides/moderators

Warning

Deprecated. It still answers, but new code should not use it.

Name In Type Required
org_slug path string yes

application/json (required)

Field Type Required
org_customer_id integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/admin/community/guides/moderators/{org_customer_id}

Warning

Deprecated. It still answers, but new code should not use it.

Name In Type Required
org_customer_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.